r469 - in trunk/sources: . munin munin/plugins

roh at daksha.openmoko.org roh at daksha.openmoko.org
Sat Jun 6 11:29:27 CEST 2009


Author: roh
Date: 2009-06-06 09:29:27 +0000 (Sat, 06 Jun 2009)
New Revision: 469

Added:
   trunk/sources/munin/
   trunk/sources/munin/plugins/
   trunk/sources/munin/plugins/mailman_detail
Log:
 - add munin-mailman-details plugin


Added: trunk/sources/munin/plugins/mailman_detail
===================================================================
--- trunk/sources/munin/plugins/mailman_detail	                        (rev 0)
+++ trunk/sources/munin/plugins/mailman_detail	2009-06-06 09:29:27 UTC (rev 469)
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# Plugin to monitor mailman
+#
+# Usage: Place in /etc/munin/node.d/ (or link it there  using ln -s)
+#
+# Parameters understood:
+#
+# 	config   (required)
+# 	autoconf (optional - used by munin-config)
+#
+# $Log$
+# stolen from cpu
+#
+# Magic markers - optional - used by installation scripts and
+# munin-config:
+#
+#%# family=auto
+#%# capabilities=autoconf
+
+if [ "$1" = "autoconf" ]; then
+	if [ -x /usr/sbin/list_lists ]; then
+		echo yes
+		exit 0
+	else
+		echo no
+		exit 1
+	fi
+fi
+
+if [ "$1" = "config" ]; then
+
+	echo 'graph_title Mailman detailed stats'
+#	echo "graph_order system user nice idle"
+#	echo "graph_args --base 1000 -r --lower-limit 0 --upper-limit $graphlimit"
+	echo 'graph_vlabel users'
+	echo 'graph_scale no'
+	echo 'graph_info This graph shows the absolute number of members for each list.'
+	echo 'graph_category other'
+#	echo 'graph_period second'
+	/usr/sbin/list_lists -a -b|awk '{print $1".label "$1"\n"$1".type GAUGE\n"$1".min 0"}'
+	exit 0
+fi
+
+/usr/sbin/list_lists -a -b|xargs -n 1 sh -c 'echo -n $0".value " && /usr/sbin/list_members $0 |wc -l'


Property changes on: trunk/sources/munin/plugins/mailman_detail
___________________________________________________________________
Added: svn:executable
   + *




More information about the webdesign-commitlog mailing list